> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Environments

> 
Retrieve all deployment environments in your workspace. Use to discover available environments for prompt deployment.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/environments
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/environments:
    get:
      tags:
        - Configuration
      summary: List Environments
      description: >-

        Retrieve all deployment environments in your workspace. Use to discover
        available environments for prompt deployment.


        `page_size` defaults to 30, maximum 100.
      operationId: get_list_environments
      parameters:
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/EnvironmentInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: EnvironmentsListResponse
                type: object
          description: >-
            EnvironmentsListResponse(data:
            list[server.api_routes.environments_api_v2.EnvironmentInfo],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    EnvironmentInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
      title: EnvironmentInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````